%define major		0
%define api		3.0
%define libname		%mklibname unique %{api} %{major}
%define gi_name		%mklibname unique-gir %{api}
%define develname	%mklibname unique %{api} -d

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		libunique3
Version:	3.0.2
Release:	%mkrel 15
Summary:	Single instance support for applications

Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.gnome.org/~ebassi/source/
Source0:	https://download.gnome.org/sources/libunique/%{url_ver}/libunique-%{version}.tar.xz

BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	libtool
BuildRequires:	glib2-devel >= 2.25.0
BuildRequires:	gtk+3-devel >= 2.99.3
BuildRequires:	gtk-doc >= 1.11
BuildRequires:	gobject-introspection-devel
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libtool

%description
Unique is a library for writing single instance applications, that is
applications that are run once and every further call to the same binary
either exits immediately or sends a command to the running instance.

This version of unique works with GTK+ 3.

#--------------------------------------------------------------------

%package -n %{libname}
Group:		System/Libraries
Summary:	Library for creating single instance applications
Obsoletes:	%{_lib}unique3_0 < 3.0.2

%description -n %{libname}
Unique is a library for creating single instance applications.

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/libunique-%{api}.so.%{major}
%{_libdir}/libunique-%{api}.so.%{major}.*

#--------------------------------------------------------------------

%package -n %{gi_name}
Group:		System/Libraries
Summary:	GObject Introspection interface library for libunique
Requires:	%{libname} = %{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for libunique.

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Unique-%{api}.typelib

#--------------------------------------------------------------------

%package -n %{develname}
Summary:	Libraries and headers for unique3
Group:		Development/GNOME and GTK+
Provides:	%name-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{gi_name} = %{version}-%{release}
Obsoletes:	%{_lib}unique3-devel < 3.0.2-13

%description -n %{develname}
Headers and libraries for unique3.

%files -n %{develname}
%doc %{_datadir}/gtk-doc
%{_includedir}/unique-3.0/
%{_libdir}/pkgconfig/*
%{_libdir}/lib*.so
%{_datadir}/gir-1.0/Unique-%{api}.gir

#--------------------------------------------------------------------

%prep
%setup -q -n libunique-%{version}

%build
# to recognize aarch64
autoreconf -vfi

%configure \
	--disable-gtk-doc \
	--disable-static \
	--enable-introspection=yes
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 3.0.2-15.mga8
+ Revision: 1514701
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 3.0.2-14.mga7
+ Revision: 1299197
- Mageia 7 Mass Rebuild

* Sat May 05 2018 wally <wally> 3.0.2-13.mga7
+ Revision: 1226276
- fix devel pkg name

* Sun Feb 11 2018 daviddavid <daviddavid> 3.0.2-12.mga7
+ Revision: 1200326
- disable gtk-doc

* Mon Feb 15 2016 umeabot <umeabot> 3.0.2-11.mga6
+ Revision: 961218
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 wally <wally> 3.0.2-10.mga6
+ Revision: 847727
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 3.0.2-9.mga5
+ Revision: 746080
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 3.0.2-8.mga5
+ Revision: 724932
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 3.0.2-7.mga5
+ Revision: 681827
- Mageia 5 Mass Rebuild

* Wed Jun 25 2014 ovitters <ovitters> 3.0.2-6.mga5
+ Revision: 639599
- clean spec

* Fri Oct 18 2013 umeabot <umeabot> 3.0.2-5.mga4
+ Revision: 507392
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.0.2-4.mga3
+ Revision: 358293
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 malo <malo> 3.0.2-3.mga3
+ Revision: 339506
- fix RPM group

* Sat Jul 09 2011 cjw <cjw> 3.0.2-2.mga2
+ Revision: 121361
- move gobject introspection typelib to a separate subpackage
- rebuild for automatic typelib provides and deps

* Tue Jun 28 2011 fwang <fwang> 3.0.2-1.mga2
+ Revision: 115046
- new version 3.0.2

* Fri Jun 10 2011 dmorgan <dmorgan> 3.0.0-3.mga2
+ Revision: 103117
- Fix provides

* Fri Jun 10 2011 dmorgan <dmorgan> 3.0.0-2.mga2
+ Revision: 103112
- Fix requires in the devel package

* Fri Jun 10 2011 dmorgan <dmorgan> 3.0.0-1.mga2
+ Revision: 103110
- imported package libunique3


* Mon Apr  4 2011 Matthias Clasen <mclasen@redhat.com> - 3.0.0-1
- Update to 3.0.0

* Thu Feb 10 2011 Matthias Clasen <mclasen@redhat.com> - 2.91.4-4
- Rebuild against newer gtk

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.91.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb  2 2011 Matthias Clasen <mclasen@redhat.com> - 2.91.4-2
- Rebuild against newer gtk

* Fri Jan  7 2011 Matthias Clasen <mclasen@redhat.com> - 2.91.4-1
- Update to 2.91.4

* Fri Dec  3 2010 Matthias Clasen <mclasen@redhat.com> - 2.90.1-4
- Rebuild against newer gtk

* Mon Nov  1 2010 Matthias Clasen <mclasen@redhat.com> - 2.90.1-3
- Rebuild against newer gtk3

* Mon Aug 23 2010 Matthias Clasen <mclasen@redhat.com> - 2.90.1-2
- Co-own /usr/share/gtk-doc (#604415)

* Thu Jul  1 2010 Matthias Clasen <mclasen@redhat.com> - 2.90.1-1
- Initial packaging
